Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 806604 - dev-libs/libuev-2.3.2 - /.../features-time64.h: error: #error _TIME_BITS=64 is allowed only with _FILE_OFFSET_BITS=64
Summary: dev-libs/libuev-2.3.2 - /.../features-time64.h: error: #error _TIME_BITS=64 i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: OzTiram
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: glibc-2.33 glibc-2.34
  Show dependency tree
 
Reported: 2021-08-05 20:18 UTC by Toralf Förster
Modified: 2021-10-18 04:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.14 KB, text/plain)
2021-08-05 20:18 UTC, Toralf Förster
Details
dev-libs:libuev-2.3.2:20210805-192014.log (dev-libs:libuev-2.3.2:20210805-192014.log,9.17 KB, text/plain)
2021-08-05 20:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,242.83 KB, text/plain)
2021-08-05 20:18 UTC, Toralf Förster
Details
environment (environment,20.96 KB, text/plain)
2021-08-05 20:18 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,16.87 KB, application/x-bzip)
2021-08-05 20:18 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,6.42 KB, application/x-bzip)
2021-08-05 20:18 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,9.16 KB, application/x-bzip)
2021-08-05 20:18 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-08-05 20:18:49 UTC
                 from /usr/include/errno.h:25,
                 from io.c:25:
/usr/include/features-time64.h:26:5: error: #error "_TIME_BITS=64 is allowed only with _FILE_OFFSET_BITS=64"
   26 | #   error "_TIME_BITS=64 is allowed only with _FILE_OFFSET_BITS=64"
      |     ^~~~~
In file included from /usr/include/features.h:392,
                 from /usr/include/errno.h:25,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no_multilib_hardened-j3-20210803-215352

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.54.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.292_p10 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit ddf17f6cc70e62e69b07bf442ba9c5ad5aa8bfc8
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Thu Aug 5 18:21:00 2021 +0000

    2021-08-05 18:20:57 UTC

emerge -qpvO dev-libs/libuev
[ebuild  N    ] dev-libs/libuev-2.3.2  USE="-static-libs"
Comment 1 Toralf Förster gentoo-dev 2021-08-05 20:18:50 UTC
Created attachment 730491 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-05 20:18:51 UTC
Created attachment 730494 [details]
dev-libs:libuev-2.3.2:20210805-192014.log
Comment 3 Toralf Förster gentoo-dev 2021-08-05 20:18:53 UTC
Created attachment 730497 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-08-05 20:18:54 UTC
Created attachment 730500 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-08-05 20:18:55 UTC
Created attachment 730503 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-08-05 20:18:56 UTC
Created attachment 730506 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-08-05 20:18:57 UTC
Created attachment 730509 [details]
temp.tar.bz2
Comment 8 OzTiram 2021-08-06 22:28:01 UTC
This is already fixed by upstream:

https://github.com/troglobit/libuev/commit/d7a8c7895bd8dd65261c4fad38fa9871eddb1d57

I will need to test the patch and see if a backport is running in Gentoo without blocking the test suite.
See https://github.com/troglobit/libuev/issues/25
Comment 9 Sam James archtester gentoo-dev Security 2021-08-11 23:33:07 UTC
(In reply to OzTiram from comment #8)
> This is already fixed by upstream:
> 
> https://github.com/troglobit/libuev/commit/
> d7a8c7895bd8dd65261c4fad38fa9871eddb1d57
> 
> I will need to test the patch and see if a backport is running in Gentoo
> without blocking the test suite.
> See https://github.com/troglobit/libuev/issues/25

Thanks for the info! No problem.
Comment 10 Larry the Git Cow gentoo-dev 2021-10-18 04:12:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75ca7040aaa9a72ddf3beeb0f4771bcefa252c14

commit 75ca7040aaa9a72ddf3beeb0f4771bcefa252c14
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-18 04:11:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-18 04:11:50 +0000

    dev-libs/libuev: call eautoreconf for patches
    
    Needed for patches to *.am, *.ac, etc to be
    (safely) effective (avoid maintainer mode
    invocation).
    
    Closes: https://bugs.gentoo.org/806604
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/libuev/libuev-2.3.2-r1.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db02aa38b2c766f454b31c9d051f3729c4e398df

commit db02aa38b2c766f454b31c9d051f3729c4e398df
Author:     Oz N Tiram <oz.tiram@gmail.com>
AuthorDate: 2021-10-02 22:37:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-18 04:10:23 +0000

    dev-libs/libuev: fix building with sys-libs/glibc-2.34
    
    Closes: https://bugs.gentoo.org/806604
    Signed-off-by: Oz N Tiram <oz.tiram@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/libuev/files/libuev-64-bit-times.patch | 32 +++++++++++++++++++++++++
 dev-libs/libuev/libuev-2.3.2-r1.ebuild          | 27 +++++++++++++++++++++
 2 files changed, 59 insertions(+)